# Get liquidations by payment Id

Get a list of liquidations associated with a ripplenet_payment_id

Endpoint: GET /liquidations/ripplenet-payment-id/{ripplenet_payment_id}
Version: 1.0.0
Security: Bearer

## Path parameters:

  - `ripplenet_payment_id` (string, required)
    Unique identifier for a RippleNet payment. Obtain this value by performing a GET liquidations operation.

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique liquidation identifier

  - `account_id` (string, required)
    The identifier of the account requesting the liquidation

  - `created_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `modified_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `unique_reference_id` (string, required)
    The unique 32-character string representing the liquidation

  - `ripplenet_payment_id` (string)
    Unique identifier for a RippleNet payment

  - `ripplenet_payment_created_at` (string)
    Timestamp when the RippleNet payment was created

  - `ripplenet_sender_address` (string)
    RippleNet address of the sender
    Example: "sf_gbp@rn.us.ca.san_francisco"

  - `ripplenet_receiver_address` (string)
    RippleNet address of the receiver
    Example: "sf_gbp@rn.us.ca.san_francisco"

  - `destination_amount` (number, required)
    The total amount available for withdrawal after all fees have been collected
    Example: 10000

  - `destination_currency` (string, required)
    The 3-letter currency code of the destination currency
    Example: "usd"

  - `destination_venue` (string, required)
    The name of the exchange where XRP is liquidated into fiat currency
    Example: "bitso"

  - `estimate_type` (string)
    Enum: "firm", "indicative"

  - `expires_at` (string)
    The expiration time of the liquidation
    Example: "2018-04-06T20:33:35Z"

  - `liquidation_source` (string, required)
    Enum: "xrrn", "operator"

  - `status` (string, required)
    Enum: "CREATED", "QUEUED", "STARTED", "COMPLETED", "PARTIALLY_COMPLETED", "FAILED"

  - `trade_requests` (array, required)
    An array of trade objects representing the trades of the liquidation

  - `trade_requests.id` (string, required)
    Unique liquidation identifier

  - `trade_requests.account_id` (string, required)
    The identifier of the account requesting the liquidation

  - `trade_requests.created_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.modified_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.liquidation_id` (string, required)
    The identifier of the liquidation

  - `trade_requests.sequence_number` (integer, required)
    The sequence number of the liquidation trade

  - `trade_requests.odl_payment_id` (string)
    The identifier of the ODL payment corresponding to the liquidation

  - `trade_requests.status` (string, required)
    Enum: "CREATED", "QUEUED", "THROTTLED", "QUOTED", "STARTED", "COMPLETED", "PARTIALLY_COMPLETED", "FAILED", "FAILED_RETRYABLE"

  - `trade_requests.bridge_currency_code` (string, required)

  - `trade_requests.destination_amount` (number, required)
    The total amount available for withdrawal after all fees have been collected

  - `trade_requests.destination_currency` (string, required)
    The 3-letter currency code of the destination currency of the trade

  - `trade_requests.destination_venue` (string, required)
    The name of the trade exchange where XRP is liquidated into fiat currency

  - `trade_requests.expires_at` (string, required)
    The expiration time of the liquidation trade
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.xrp_deposit_amount` (number)
    The XRP deposit amount of the trade

  - `trade_requests.trade_executions` (array, required)
    The trade execution objects

  - `trade_requests.trade_executions.id` (string, required)
    Unique liquidation identifier

  - `trade_requests.trade_executions.account_id` (string, required)
    The identifier of the account requesting the liquidation

  - `trade_requests.trade_executions.created_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.trade_executions.modified_at` (string, required)
    Date specified in ISO-8601 format, for example 2018-04-06T20:33:35Z
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.trade_executions.trade_request_id` (string, required)
    The identifier of the trade request

  - `trade_requests.trade_executions.venue` (string, required)
    The exchange used by this trade

  - `trade_requests.trade_executions.venue_id` (string)
    The mapped id for the exchange used by this trade

  - `trade_requests.trade_executions.amount` (number)
    The amount of XRP sent by this trade

  - `trade_requests.trade_executions.adjusted_amount` (number)
    The adjusted amount of XRP sent by this trade

  - `trade_requests.trade_executions.proceeds` (number)
    The amount of XRP liquidated

  - `trade_requests.trade_executions.adjusted_proceeds` (number)
    The adjusted amount of XRP liquidated

  - `trade_requests.trade_executions.start_date` (string)
    Start date (inclusive) of last activity
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.trade_executions.end_date` (string)
    Start date (inclusive) of last activity
    Example: "2018-04-06T20:33:35Z"

  - `trade_requests.trade_executions.incentive_type` (string)
    The type of incentive (also called slippage)

  - `trade_requests.trade_executions.incentive_value` (number)
    Amount of incentive (also called slippage) used

  - `trade_requests.trade_executions.is_pushed_forward` (boolean)
    True if the funds from a failed trade will be made available in fiat currency

  - `trade_requests.trade_executions.adjusted_trade_difference` (number)
    The trade amount including incentives

  - `trade_requests.trade_executions.executed_slippage_bps` (integer)

  - `trade_requests.error_message` (string)
    The reason why a trade failed

  - `trade_requests.estimated_trade_displacement_bps` (integer)
    trade displacement bps in estimate

  - `execution_strategy` (object)
    The trade execution strategy

  - `execution_strategy.maxAmountPerTrade` (number, required)
    The maximum amount (in destination currency) per trade

  - `execution_strategy.minimumTradeInterval` (integer, required)
    The minimum interval (in seconds) between creation of trades

  - `execution_summary` (object, required)
    The trade execution summary

  - `execution_summary.total_xrp` (number, required)
    Total amount of XRP successfully liquidated

  - `execution_summary.total_fiat` (number, required)
    Total fiat amount available for withdrawal after all fees have been collected

  - `execution_summary.total_slippage` (number, required)
    Total amount of slippage (also called incentive) used

  - `execution_summary.total_sender_fees` (number, required)
    Total XRP sender fees

  - `execution_summary.total_receiver_fees` (number, required)
    Total fiat receiver fees

  - `execution_summary.total_trades` (integer, required)
    The total number of exchange orders/trades completed

  - `execution_summary.fx_rate` (number)
    The conversion rate from XRP to destination currency (fiat)

  - `execution_summary.incentive_type` (string)

  - `trading_summary` (object)
    The trading summary

  - `trading_summary.total_fiat_executed` (number)
    the total amount of successfully delivered fiat

  - `trading_summary.total_fiat_in_flight` (number)
    the total amount of fiat in flight (started but not yet finished trades)

  - `trading_summary.total_fiat_non_deliverable` (number)
    the total amount of fiat that was not successfully confirmed to have been delivered due to unknown trade failures

  - `trading_summary.total_fiat_remaining_deliverable` (number)
    the total amount of fiat that has not yet been delivered but is eligible to be delivered

## Response 400 fields (application/json):

  - `type` (string)
    Type of problem.
    Enum: "BAD_REQUEST", "INVALID_DATES", "INVALID_VENUE_AND_OR_CURRENCY", "INVALID_LIQUIDATION_AMOUNT", "NOT_FOUND", "REFERENCE_ID_NOT_UNIQUE", "AUTH_PROBLEM", "GENERIC_CLIENT_ERROR", "GENERIC_SERVER_ERROR"

  - `title` (string, required)
    Summary of the returned problem.

  - `status` (integer, required)
    HTTP error code.

  - `detail` (string)
    Description of the returned problem.

  - `correlationId` (string)
    ID of the correlating request.

  - `timestamp` (string)
    Date and time at which the error occured.

  - `liquidationId` (string)
    Unique identifier of the liquidation.


